Subject: Re: bug#29956: 26.0.90; `d' in *VC-history*: Wrong type argument: sequencep, 47

From: Stefan Monnier <[email-masked]>
Date: Wed, 03 Jan 2018 15:35:38 -0500

> It's okay for emacs-26, but I'm curious why did you need the
> default-directory part.  Is that related to the problem?

I checked the value of log-view-vc-fileset elsewhere and they seem to
use absolute file names.  So I tried again with (list file) and it
worked fine, not sure why I got an error when I checked last time.
So I installed the patch below instead,

        Stefan

diff --git a/lisp/vc/vc.el b/lisp/vc/vc.el
index 7c502f88df..f8d63d1498 100644
--- a/lisp/vc/vc.el
+++ b/lisp/vc/vc.el
@@ -2428,7 +2428,7 @@ vc-region-history
     (with-current-buffer buf
       (vc-call-backend backend 'region-history-mode)
       (set (make-local-variable 'log-view-vc-backend) backend)
-      (set (make-local-variable 'log-view-vc-fileset) file)
+      (set (make-local-variable 'log-view-vc-fileset) (list file))
       (set (make-local-variable 'revert-buffer-function)
 	   (lambda (_ignore-auto _noconfirm)
              (with-current-buffer buf